summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Rob van Nues2019-04-12 17:37:58 +0200
committer Willy Sudiarto Raharjo2019-04-12 17:37:58 +0200
commit01cbc726064c0a7161701a914565ba0c17fc6174 (patch)
tree399af9842cf31eec4f35b80e4963cb56fa5381aa /academic
parentb8626e62d6e823eb86ffd11eb2bd3ac5fe81e14a (diff)
downloadslackbuilds-01cbc726064c0a7161701a914565ba0c17fc6174.tar.gz
academic/gri: Added (graphics language).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/gri/README13
-rw-r--r--academic/gri/gri.SlackBuild110
-rw-r--r--academic/gri/gri.info10
-rw-r--r--academic/gri/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/academic/gri/README b/academic/gri/README
new file mode 100644
index 0000000000..083bd2d993
--- /dev/null
+++ b/academic/gri/README
@@ -0,0 +1,13 @@
+Gri is a language for scientific graphics applications. By 'language'
+I mean that it is a command-driven application, as opposed to a
+click/point application. It is analogous to latex or tex, and shares
+the property that extensive power is the reward for tolerating a
+learning curve. Gri output is in PostScript, suitable for
+incorporation in documents prepared by various text processors.
+
+Gri can make x-y graphs, contour-graphs, and image graphs. In
+addition to high-level capabilities, it has enough low-level
+capabilities to allow users to achieve a high degree of customization.
+Control is extended to all aspects of drawing, including
+line widths, colors, and fonts. Text includes a subset of the tex
+language for letters and mathematical symbols in labels.
diff --git a/academic/gri/gri.SlackBuild b/academic/gri/gri.SlackBuild
new file mode 100644
index 0000000000..7ebaf19929
--- /dev/null
+++ b/academic/gri/gri.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for gri
+
+# Copyright 2018 Rob van Nues
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gri
+VERSION=${VERSION:-2.12.23}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+aclocal
+autoconf
+automake --add-missing
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/share/info/dir
+mv $PKG/usr/share/info $PKG/usr/info
+# info is already gzipped
+rm $PKG/usr/info/*.info
+rm $PKG/usr/info/*.info-[1-3]
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS AUTHOR-NOTES ChangeLog THANKS README NEWS INSTALL DISCUSSION-error-levels COPYING copyright.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/gri/gri.info b/academic/gri/gri.info
new file mode 100644
index 0000000000..4ca61c4974
--- /dev/null
+++ b/academic/gri/gri.info
@@ -0,0 +1,10 @@
+PRGNAM="gri"
+VERSION="2.12.23"
+HOMEPAGE="https://gri.sourceforge.net/"
+DOWNLOAD="https://github.com/dankelley/gri/archive/v2.12.23/gri-2.12.23.tar.gz"
+MD5SUM="7594140fdd1ea1ccf890c2d7ede0e1e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Rob van Nues"
+EMAIL="sborg63@disroot.org"
diff --git a/academic/gri/slack-desc b/academic/gri/slack-desc
new file mode 100644
index 0000000000..ae076aa356
--- /dev/null
+++ b/academic/gri/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gri: gri (graphics language)
+gri:
+gri: Gri is a language for scientific graphics applications.
+gri: It is a command-driven application and analogous to latex or tex, and
+gri: shares the property that extensive power is the reward for tolerating
+gri: a learning curve. Gri output is in PostScript, suitable for
+gri: incorporation in documents prepared by various text processors.
+gri:
+gri: Home: https://github.com/dankelley/gri
+gri: or http://gri.sourceforge.net/
+gri: